<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<root>
  <item name="com.intellij.lang.javascript.formatter.blocks.JSParameterBlock JSParameterBlock(com.intellij.lang.ASTNode, com.intellij.formatting.Alignment, com.intellij.formatting.Indent, com.intellij.formatting.Wrap, com.intellij.lang.javascript.formatter.blocks.alignment.ASTNodeBasedAlignmentFactory, com.intellij.lang.javascript.formatter.JSBlockContext)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.2273.8&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.formatter.blocks.SubBlockVisitor.JSXmlTagBlock myOuterJsBlock">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;182.3208.16&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.formatter.blocks.CompositeJSBlock">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.1909.2&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.formatter.blocks.SubBlockVisitor myCustomSettings">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.2940.10&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.formatter.blocks.SubBlockVisitor com.intellij.formatting.Wrap getWrap(com.intellij.lang.ASTNode, com.intellij.lang.ASTNode, com.intellij.formatting.Wrap)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;181.2784.17&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.formatter.blocks.SubBlockVisitor boolean shouldIndentParenthesized(com.intellij.lang.ASTNode, com.intellij.psi.tree.IElementType)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.formatter.blocks.SubBlockVisitor com.intellij.formatting.Wrap getWrapForConditional(com.intellij.lang.ASTNode, com.intellij.lang.ASTNode, com.intellij.formatting.Wrap)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.2940.10&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.formatter.blocks.SubBlockVisitor SubBlockVisitor(com.intellij.lang.javascript.formatter.blocks.JSBlock, com.intellij.lang.javascript.formatter.blocks.alignment.ASTNodeBasedAlignmentFactory, com.intellij.lang.javascript.formatter.JSBlockContext)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.2273.8&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.formatter.blocks.SubBlockVisitor.JSXmlTagBlock">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.2273.8&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.formatter.blocks.JSBlock CALL_CHAIN_DOT_LIKE_TYPES">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;182.711&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.formatter.blocks.SubBlockVisitor.JSXmlBlock">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.2273.8&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.formatter.blocks.JSBlock boolean processInjections()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.1909.2&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.formatter.blocks.JSBlockEx JSBlockEx(com.intellij.lang.ASTNode, com.intellij.formatting.Alignment, com.intellij.formatting.Indent, com.intellij.formatting.Wrap, com.intellij.lang.javascript.formatter.blocks.alignment.ASTNodeBasedAlignmentFactory, com.intellij.lang.javascript.formatter.JSBlockContext)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.2273.8&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.formatter.blocks.CompositeJSBlock CompositeJSBlock(java.util.List&lt;com.intellij.formatting.Block&gt;, com.intellij.lang.javascript.formatter.SpacingStrategy, com.intellij.formatting.Indent, com.intellij.psi.tree.IElementType, com.intellij.lang.javascript.formatter.JSBlockContext)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.28294.334&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.formatter.blocks.SubBlockVisitor myCommonSettings">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.2940.10&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.formatter.blocks.SubBlockVisitor boolean hasWrapInBraces(com.intellij.lang.ASTNode, com.intellij.psi.tree.TokenSet, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.formatter.blocks.SubBlockVisitor.JSXmlBlock JSXmlBlock(com.intellij.lang.ASTNode, com.intellij.formatting.Wrap, com.intellij.formatting.Alignment, com.intellij.formatting.Indent, com.intellij.psi.formatter.xml.XmlFormattingPolicy, boolean, com.intellij.openapi.util.TextRange, com.intellij.lang.javascript.formatter.blocks.JSBlock)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.formatter.blocks.JSBlock JSBlock(com.intellij.lang.ASTNode, com.intellij.formatting.Alignment, com.intellij.formatting.Indent, com.intellij.formatting.Wrap, com.intellij.lang.javascript.formatter.blocks.alignment.ASTNodeBasedAlignmentFactory, com.intellij.lang.javascript.formatter.JSBlockContext)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.2273.8&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.formatter.blocks.JSBlock com.intellij.lang.javascript.formatter.blocks.alignment.ASTNodeBasedAlignmentFactory getSharedAlignmentFactory(com.intellij.lang.javascript.formatter.blocks.alignment.ASTNodeBasedAlignmentFactory, com.intellij.lang.javascript.formatter.JSCodeStyleSettings)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;162.844.8&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.formatter.blocks.SubBlockVisitor.JSXmlBlock myOuterJsBlock">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;182.3208.16&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.formatter.blocks.JSBlock myDialectSettings">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.1909.2&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.formatter.blocks.SubBlockVisitor com.intellij.formatting.Wrap getCurrentWrap(com.intellij.formatting.Wrap, int)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;181.2784.17&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.formatter.blocks.SubBlockVisitor.JSXmlTagBlock boolean isEmbeddedContent(com.intellij.psi.tree.IElementType)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;182.3569.1&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.formatter.blocks.JSSpacingStrategy JSSpacingStrategy(com.intellij.lang.javascript.formatter.JSCodeStyleSettings, com.intellij.psi.codeStyle.CommonCodeStyleSettings, java.util.function.BiFunction&lt;com.intellij.lang.ASTNode,com.intellij.lang.ASTNode,com.intellij.formatting.Spacing&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;171.3566.24&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.formatter.blocks.JSParameterListBlock JSParameterListBlock(com.intellij.lang.ASTNode, com.intellij.formatting.Alignment, com.intellij.formatting.Indent, com.intellij.formatting.Wrap, com.intellij.lang.javascript.formatter.blocks.alignment.ASTNodeBasedAlignmentFactory, com.intellij.lang.javascript.formatter.JSBlockContext)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.2273.8&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.formatter.blocks.JSBlock myBlockContext">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.2273.8&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.formatter.blocks.SubBlockVisitor myFormattingMode">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;182.3569.1&quot;"/>
    </annotation>
  </item>
</root>
